Bulk Delete Threads
Delete multiple threads and optionally their extracted memories.
Query Parameters
cascade_delete_memories?Cascade Delete Memories
Delete extracted memories
Default
falsespace_id?|
Optional isolation space guard
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Request to delete multiple threads.
Response Body
application/json
application/json
curl -X DELETE "https://example.com/threads/bulk" \ -H "Content-Type: application/json" \ -d '{ "thread_ids": [ "string" ] }'{ "message": "string", "deleted_count": 0, "failed_count": 0, "total_deleted_messages": 0, "total_deleted_memories": 0, "cascade_deletion": false, "results": [ {} ]}{ "detail": [ { "loc": [ "string" ], "msg": "string", "type": "string", "input": null, "ctx": {} } ]}